LShiftC
Logical Operations

Pixel by pixel left shift of an image by a constant value. More...

## Functions

NppStatus | nppiLShiftC_8u_C1R (const Npp8u *pSrc1, int nSrc1Step, const Npp32u nConstant, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| One 8-bit unsigned char channel image left shift by constant. More...
NppStatus | nppiLShiftC_8u_C1IR (const Npp32u nConstant, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| One 8-bit unsigned char channel in place image left shift by constant. More...
NppStatus | nppiLShiftC_8u_C3R (const Npp8u *pSrc1, int nSrc1Step, const Npp32u aConstants[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| Three 8-bit unsigned char channel image left shift by constant. More...
NppStatus | nppiLShiftC_8u_C3IR (const Npp32u aConstants[3], Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| Three 8-bit unsigned char channel in place image left shift by constant. More...
NppStatus | nppiLShiftC_8u_AC4R (const Npp8u *pSrc1, int nSrc1Step, const Npp32u aConstants[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| Four 8-bit unsigned char channel image left shift by constant with unmodified alpha. More...
NppStatus | nppiLShiftC_8u_AC4IR (const Npp32u aConstants[3], Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| Four 8-bit unsigned char channel in place image left shift by constant with unmodified alpha. More...
NppStatus | nppiLShiftC_8u_C4R (const Npp8u *pSrc1, int nSrc1Step, const Npp32u aConstants[4], Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| Four 8-bit unsigned char channel image left shift by constant. More...
NppStatus | nppiLShiftC_8u_C4IR (const Npp32u aConstants[4], Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| Four 8-bit unsigned char channel in place image left shift by constant. More...
NppStatus | nppiLShiftC_16u_C1R (const Npp16u *pSrc1, int nSrc1Step, const Npp32u nConstant, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
| One 16-bit unsigned short channel image left shift by constant. More...
NppStatus | nppiLShiftC_16u_C1IR (const Npp32u nConstant, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| One 16-bit unsigned short channel in place image left shift by constant. More...
NppStatus | nppiLShiftC_16u_C3R (const Npp16u *pSrc1, int nSrc1Step, const Npp32u aConstants[3], Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
| Three 16-bit unsigned short channel image left shift by constant. More...
NppStatus | nppiLShiftC_16u_C3IR (const Npp32u aConstants[3], Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| Three 16-bit unsigned short channel in place image left shift by constant. More...
NppStatus | nppiLShiftC_16u_AC4R (const Npp16u *pSrc1, int nSrc1Step, const Npp32u aConstants[3], Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
| Four 16-bit unsigned short channel image left shift by constant with unmodified alpha. More...
NppStatus | nppiLShiftC_16u_AC4IR (const Npp32u aConstants[3], Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| Four 16-bit unsigned short channel in place image left shift by constant with unmodified alpha. More...
NppStatus | nppiLShiftC_16u_C4R (const Npp16u *pSrc1, int nSrc1Step, const Npp32u aConstants[4], Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
| Four 16-bit unsigned short channel image left shift by constant. More...
NppStatus | nppiLShiftC_16u_C4IR (const Npp32u aConstants[4], Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| Four 16-bit unsigned short channel in place image left shift by constant. More...
NppStatus | nppiLShiftC_32s_C1R (const Npp32s *pSrc1, int nSrc1Step, const Npp32u nConstant, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
| One 32-bit signed integer channel image left shift by constant. More...
NppStatus | nppiLShiftC_32s_C1IR (const Npp32u nConstant, Npp32s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| One 32-bit signed integer channel in place image left shift by constant. More...
NppStatus | nppiLShiftC_32s_C3R (const Npp32s *pSrc1, int nSrc1Step, const Npp32u aConstants[3], Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
| Three 32-bit signed integer channel image left shift by constant. More...
NppStatus | nppiLShiftC_32s_C3IR (const Npp32u aConstants[3], Npp32s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| Three 32-bit signed integer channel in place image left shift by constant. More...
NppStatus | nppiLShiftC_32s_AC4R (const Npp32s *pSrc1, int nSrc1Step, const Npp32u aConstants[3], Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
| Four 32-bit signed integer channel image left shift by constant with unmodified alpha. More...
NppStatus | nppiLShiftC_32s_AC4IR (const Npp32u aConstants[3], Npp32s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| Four 32-bit signed integer channel in place image left shift by constant with unmodified alpha. More...
NppStatus | nppiLShiftC_32s_C4R (const Npp32s *pSrc1, int nSrc1Step, const Npp32u aConstants[4], Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
| Four 32-bit signed integer channel image left shift by constant. More...
NppStatus | nppiLShiftC_32s_C4IR (const Npp32u aConstants[4], Npp32s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| Four 32-bit signed integer channel in place image left shift by constant. More...

## Detailed Description

Pixel by pixel left shift of an image by a constant value.

## Function Documentation

NppStatus nppiLShiftC_16u_AC4IR | ( | const Npp32u | aConstants[3],
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four 16-bit unsigned short channel in place image left shift by constant with unmodified alpha.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiLShiftC_16u_AC4R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32u | aConstants[3],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four 16-bit unsigned short channel image left shift by constant with unmodified alpha.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiLShiftC_16u_C1IR | ( | const Npp32u | nConstant,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

One 16-bit unsigned short channel in place image left shift by constant.

Parameters

  nConstant | Constant.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiLShiftC_16u_C1R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32u | nConstant,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

One 16-bit unsigned short channel image left shift by constant.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nConstant | Constant
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiLShiftC_16u_C3IR | ( | const Npp32u | aConstants[3],
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three 16-bit unsigned short channel in place image left shift by constant.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiLShiftC_16u_C3R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32u | aConstants[3],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three 16-bit unsigned short channel image left shift by constant.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiLShiftC_16u_C4IR | ( | const Npp32u | aConstants[4],
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four 16-bit unsigned short channel in place image left shift by constant.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiLShiftC_16u_C4R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32u | aConstants[4],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four 16-bit unsigned short channel image left shift by constant.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiLShiftC_32s_AC4IR | ( | const Npp32u | aConstants[3],
|  | Npp32s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four 32-bit signed integer channel in place image left shift by constant with unmodified alpha.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiLShiftC_32s_AC4R | ( | const Npp32s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32u | aConstants[3],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four 32-bit signed integer channel image left shift by constant with unmodified alpha.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiLShiftC_32s_C1IR | ( | const Npp32u | nConstant,
|  | Npp32s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

One 32-bit signed integer channel in place image left shift by constant.

Parameters

  nConstant | Constant.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiLShiftC_32s_C1R | ( | const Npp32s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32u | nConstant,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

One 32-bit signed integer channel image left shift by constant.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nConstant | Constant.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiLShiftC_32s_C3IR | ( | const Npp32u | aConstants[3],
|  | Npp32s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three 32-bit signed integer channel in place image left shift by constant.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiLShiftC_32s_C3R | ( | const Npp32s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32u | aConstants[3],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three 32-bit signed integer channel image left shift by constant.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiLShiftC_32s_C4IR | ( | const Npp32u | aConstants[4],
|  | Npp32s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four 32-bit signed integer channel in place image left shift by constant.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiLShiftC_32s_C4R | ( | const Npp32s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32u | aConstants[4],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four 32-bit signed integer channel image left shift by constant.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiLShiftC_8u_AC4IR | ( | const Npp32u | aConstants[3],
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four 8-bit unsigned char channel in place image left shift by constant with unmodified alpha.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiLShiftC_8u_AC4R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32u | aConstants[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four 8-bit unsigned char channel image left shift by constant with unmodified alpha.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiLShiftC_8u_C1IR | ( | const Npp32u | nConstant,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

One 8-bit unsigned char channel in place image left shift by constant.

Parameters

  nConstant | Constant.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiLShiftC_8u_C1R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32u | nConstant,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

One 8-bit unsigned char channel image left shift by constant.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nConstant | Constant.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiLShiftC_8u_C3IR | ( | const Npp32u | aConstants[3],
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three 8-bit unsigned char channel in place image left shift by constant.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiLShiftC_8u_C3R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32u | aConstants[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three 8-bit unsigned char channel image left shift by constant.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiLShiftC_8u_C4IR | ( | const Npp32u | aConstants[4],
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four 8-bit unsigned char channel in place image left shift by constant.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiLShiftC_8u_C4R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32u | aConstants[4],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four 8-bit unsigned char channel image left shift by constant.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2017 NVIDIA Corporation